Get a plan
curl --request POST \
--url https://sandbox-platform.jupico.com/v1/query/subscriptions/plan/{planId} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://sandbox-platform.jupico.com/v1/query/subscriptions/plan/{planId}"
payload = {}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://sandbox-platform.jupico.com/v1/query/subscriptions/plan/{planId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://sandbox-platform.jupico.com/v1/query/subscriptions/plan/{planId}';
const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"success": true,
"data": {
"plan": {
"_id": "<string>",
"facId": "<string>",
"spProductId": "<string>",
"subMerchantId": "<string>",
"planId": "<string>",
"hostedSession": {
"hostedSessionId": "<string>",
"url": "<string>"
},
"name": "<string>",
"description": "<string>",
"title": "<string>",
"subTitle": "<string>",
"schedules": [
{
"scheduleId": "<string>",
"order": 123,
"label": "<string>",
"invoiceDescription": "<string>",
"frequency": "<string>",
"cyclesQty": 123,
"executionDays": [
123
],
"unit": "<string>",
"discount": {
"percentage": 123
},
"pricingModel": {
"type": "<string>",
"free": {
"daysQty": 123
}
},
"enabled": true
}
],
"cancelOptions": [
"<string>"
],
"status": "<string>",
"isDeleted": true,
"__v": 123,
"createdAt": "<string>",
"updatedAt": "<string>"
},
"subMerchant": {
"_id": "<string>",
"facId": "<string>",
"spProductId": "<string>",
"subMerchantId": "<string>",
"status": "<string>",
"blockDuplicates": {
"enabled": true
},
"transactionAmountLimit": 123,
"eCheckAmountLimit": 123,
"fees": {
"platform": {
"perTransaction": {},
"perPeriod": [
{
"period": "daily",
"fixed": 3,
"since": "2025-08-01T03:00:00.000Z",
"until": "2025-08-23T03:00:00.000Z",
"status": "enabled",
"isTriggerFirstTx": false,
"isProrated": true
}
]
},
"spProduct": {
"perTransaction": {},
"perPeriod": [
"<string>"
],
"perIncident": [
"<string>"
]
}
},
"reserve": {
"enabled": true,
"cap": 123,
"percentage": 123
},
"payout": {
"mode": "<string>",
"frequency": "<string>",
"executionDays": [
123
]
},
"subMerchantApplicationId": "<string>",
"payoutBankAccounts": [
{
"accountRouting": "<string>",
"accountNumber": "<string>",
"accountType": "<string>",
"entityType": "<string>",
"nameOnAccount": "<string>",
"status": "<string>",
"isPreferred": true,
"processor": {
"stripe": {
"status": "<string>"
}
},
"bankAccountToken": "<string>",
"isDeleted": true
}
],
"email": "<string>",
"mobileNumber": "<string>",
"processor": {
"type": "<string>",
"simulator": {
"merchantId": "<string>",
"status": "<string>"
},
"cybersource": {
"enabled": true
},
"fiserv": {
"url": [
"<string>"
]
},
"stripe": {
"owners": [
"<string>"
]
}
},
"identity": {
"business": {
"legalName": "<string>",
"dbaName": "<string>",
"tinType": "<string>",
"federalTaxId": "<string>",
"phoneNumber": "<string>",
"address": {
"streetNum": "<string>",
"streetName": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>",
"type": "<string>"
},
"websiteUrl": "<string>",
"ownershipType": "<string>",
"businessEstablishedDate": "<string>",
"expectedMonthlyVolume": 123,
"mccCode": "<string>",
"businessType": "<string>",
"irsStatus": "<string>"
},
"contacts": [
{
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"phoneNumber": "<string>",
"ssn": "<string>",
"birthDate": "<string>",
"position": "<string>",
"_id": "<string>"
}
],
"acceptedCards": [
{
"type": "<string>"
}
]
},
"progress": {
"isStartApplication": true,
"isCompleteProfile": true,
"isSubmit": true
},
"rules": {
"knowYourBusiness": {
"passed": true,
"checksIds": [
"<string>"
]
},
"payoutBankAccount": {
"passed": true,
"checksIds": [
"<string>"
]
},
"uniqueLocation": {
"passed": true,
"checksIds": [
"<string>"
]
},
"acknowledged": {
"passed": true,
"checksIds": [
"<string>"
]
},
"merchantMonitoring": {
"passed": true,
"checksIds": [
"<string>"
],
"score": 123
}
},
"tokenization": {
"publicKey": "<string>"
},
"settings": {
"branding": {
"primaryColor": "<string>",
"secondaryColor": "<string>",
"backgroundColor": "<string>",
"contrastColor": "<string>",
"textColor": "<string>"
},
"hostedSession": {
"functions": {
"collectBillingAddress": {
"enabled": true
},
"collectShippingAddress": {
"enabled": true
},
"collectEmail": {
"enabled": true,
"updateCustomer": true
},
"collectPhoneNumber": {
"enabled": true
},
"notes": {
"enabled": true
},
"callToAction": {
"enabled": true
}
},
"paymentMethods": {
"creditCard": {
"enabled": true,
"cards": [
"<string>"
]
},
"eCheck": {
"enabled": true,
"accounts": [
"<string>"
]
},
"applePay": {
"enabled": true
},
"googlePay": {
"enabled": true
}
}
},
"invoice": {
"invoiceNumber": "<string>"
}
},
"logs": [
"<string>"
],
"tags": [
"<string>"
],
"acknowledgedAt": "<string>",
"validations": {
"enabled": true,
"avs": {
"addressNumber": true,
"addressPostalCode": true
},
"cvv": {
"cvcCheck": true
}
},
"createdAt": "<string>"
}
},
"code": "<string>"
}Query
Get a plan
Returns a single subscription plan by its planId, including schedules and pricing configuration.
POST
https://sandbox-platform.jupico.com
/
v1
/
query
/
subscriptions
/
plan
/
{planId}
Get a plan
curl --request POST \
--url https://sandbox-platform.jupico.com/v1/query/subscriptions/plan/{planId} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://sandbox-platform.jupico.com/v1/query/subscriptions/plan/{planId}"
payload = {}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://sandbox-platform.jupico.com/v1/query/subscriptions/plan/{planId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://sandbox-platform.jupico.com/v1/query/subscriptions/plan/{planId}';
const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"success": true,
"data": {
"plan": {
"_id": "<string>",
"facId": "<string>",
"spProductId": "<string>",
"subMerchantId": "<string>",
"planId": "<string>",
"hostedSession": {
"hostedSessionId": "<string>",
"url": "<string>"
},
"name": "<string>",
"description": "<string>",
"title": "<string>",
"subTitle": "<string>",
"schedules": [
{
"scheduleId": "<string>",
"order": 123,
"label": "<string>",
"invoiceDescription": "<string>",
"frequency": "<string>",
"cyclesQty": 123,
"executionDays": [
123
],
"unit": "<string>",
"discount": {
"percentage": 123
},
"pricingModel": {
"type": "<string>",
"free": {
"daysQty": 123
}
},
"enabled": true
}
],
"cancelOptions": [
"<string>"
],
"status": "<string>",
"isDeleted": true,
"__v": 123,
"createdAt": "<string>",
"updatedAt": "<string>"
},
"subMerchant": {
"_id": "<string>",
"facId": "<string>",
"spProductId": "<string>",
"subMerchantId": "<string>",
"status": "<string>",
"blockDuplicates": {
"enabled": true
},
"transactionAmountLimit": 123,
"eCheckAmountLimit": 123,
"fees": {
"platform": {
"perTransaction": {},
"perPeriod": [
{
"period": "daily",
"fixed": 3,
"since": "2025-08-01T03:00:00.000Z",
"until": "2025-08-23T03:00:00.000Z",
"status": "enabled",
"isTriggerFirstTx": false,
"isProrated": true
}
]
},
"spProduct": {
"perTransaction": {},
"perPeriod": [
"<string>"
],
"perIncident": [
"<string>"
]
}
},
"reserve": {
"enabled": true,
"cap": 123,
"percentage": 123
},
"payout": {
"mode": "<string>",
"frequency": "<string>",
"executionDays": [
123
]
},
"subMerchantApplicationId": "<string>",
"payoutBankAccounts": [
{
"accountRouting": "<string>",
"accountNumber": "<string>",
"accountType": "<string>",
"entityType": "<string>",
"nameOnAccount": "<string>",
"status": "<string>",
"isPreferred": true,
"processor": {
"stripe": {
"status": "<string>"
}
},
"bankAccountToken": "<string>",
"isDeleted": true
}
],
"email": "<string>",
"mobileNumber": "<string>",
"processor": {
"type": "<string>",
"simulator": {
"merchantId": "<string>",
"status": "<string>"
},
"cybersource": {
"enabled": true
},
"fiserv": {
"url": [
"<string>"
]
},
"stripe": {
"owners": [
"<string>"
]
}
},
"identity": {
"business": {
"legalName": "<string>",
"dbaName": "<string>",
"tinType": "<string>",
"federalTaxId": "<string>",
"phoneNumber": "<string>",
"address": {
"streetNum": "<string>",
"streetName": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>",
"type": "<string>"
},
"websiteUrl": "<string>",
"ownershipType": "<string>",
"businessEstablishedDate": "<string>",
"expectedMonthlyVolume": 123,
"mccCode": "<string>",
"businessType": "<string>",
"irsStatus": "<string>"
},
"contacts": [
{
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"phoneNumber": "<string>",
"ssn": "<string>",
"birthDate": "<string>",
"position": "<string>",
"_id": "<string>"
}
],
"acceptedCards": [
{
"type": "<string>"
}
]
},
"progress": {
"isStartApplication": true,
"isCompleteProfile": true,
"isSubmit": true
},
"rules": {
"knowYourBusiness": {
"passed": true,
"checksIds": [
"<string>"
]
},
"payoutBankAccount": {
"passed": true,
"checksIds": [
"<string>"
]
},
"uniqueLocation": {
"passed": true,
"checksIds": [
"<string>"
]
},
"acknowledged": {
"passed": true,
"checksIds": [
"<string>"
]
},
"merchantMonitoring": {
"passed": true,
"checksIds": [
"<string>"
],
"score": 123
}
},
"tokenization": {
"publicKey": "<string>"
},
"settings": {
"branding": {
"primaryColor": "<string>",
"secondaryColor": "<string>",
"backgroundColor": "<string>",
"contrastColor": "<string>",
"textColor": "<string>"
},
"hostedSession": {
"functions": {
"collectBillingAddress": {
"enabled": true
},
"collectShippingAddress": {
"enabled": true
},
"collectEmail": {
"enabled": true,
"updateCustomer": true
},
"collectPhoneNumber": {
"enabled": true
},
"notes": {
"enabled": true
},
"callToAction": {
"enabled": true
}
},
"paymentMethods": {
"creditCard": {
"enabled": true,
"cards": [
"<string>"
]
},
"eCheck": {
"enabled": true,
"accounts": [
"<string>"
]
},
"applePay": {
"enabled": true
},
"googlePay": {
"enabled": true
}
}
},
"invoice": {
"invoiceNumber": "<string>"
}
},
"logs": [
"<string>"
],
"tags": [
"<string>"
],
"acknowledgedAt": "<string>",
"validations": {
"enabled": true,
"avs": {
"addressNumber": true,
"addressPostalCode": true
},
"cvv": {
"cvcCheck": true
}
},
"createdAt": "<string>"
}
},
"code": "<string>"
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
planID
Body
application/json
The body is of type object.
Last modified on July 14, 2026
Was this page helpful?
⌘I

